
<!-- <app-catalogue-sub-toolbar></app-catalogue-sub-toolbar> -->
<mat-toolbar  class="blvs-title">
  <span style="margin-left: 15px">
    <h1 class="mat-h1">Support Tools</h1></span>
</mat-toolbar>
<mat-tab-group [(selectedIndex)]="selectedIndex" class="blvs-container" id="blvs-con" >
  <mat-tab label="Schemas" > 
    <div style=" padding: 30px;" fxFlex="100%"  fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center" >
      <table [dataSource]="dataSource" mat-table class="full-width-table blvs-table full-width-table-xs" matSort aria-label="Elements" >
        <!-- Name Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>Name</th>
          <td mat-cell *matCellDef="let element"><b>{{element.name}}</b></td>
        </ng-container>

        <ng-container matColumnDef="actions">
          <th mat-header-cell *matHeaderCellDef>Actions</th>
          <td mat-cell *matCellDef="let element">
            <mat-button-toggle-group name="operations" aria-label="Operations" class="margin-all">
              <mat-button-toggle  style="background-color: #b3b3b3;"  (click)="dynamicDownloadJson(element.id);"><mat-icon >cloud_download</mat-icon></mat-button-toggle>
              <mat-button-toggle  style="background-color: #b3b3b3;display: none;" value="view_blueprint" ><mat-icon>remove_red_eye</mat-icon></mat-button-toggle>

            </mat-button-toggle-group>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table> 
    </div>
  </mat-tab>
  <mat-tab #tab [disabled]='!tab.isActive' class="blvs-table" label="Generate NSD" fxFlex="100%"  fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center">
    <div style="padding: 30px;" >
      <app-support-tools-nsd></app-support-tools-nsd> 
    </div>
  </mat-tab>
  <mat-tab #tab [disabled]='!tab.isActive' class="blvs-table" label="Composer" fxFlex="100%"  fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center">
    <div style="padding: 30px;" >
      <app-support-tools-composer></app-support-tools-composer> 
    </div>
  </mat-tab>
  <mat-tab #tab [disabled]='!tab.isActive' class="blvs-table" label="Validation" fxFlex="100%"  fxLayout.xs="column" fxLayout="row" fxLayoutAlign="center center">
    <div style="padding: 30px;" >
      <app-support-tools-validation></app-support-tools-validation> 
    </div>
  </mat-tab>
</mat-tab-group>

